libxkbcommon 1.11.0 Library implementing the XKB specification for parsing keyboard descriptions and handling keyboard state

Loading...
Searching...
No Matches
Macros
Legacy virtual modifier names
Predefined names for common modifiers and LEDs
Collaboration diagram for Legacy virtual modifier names:

## Macros
#define | XKB_MOD_NAME_ALT "Mod1"
#define | XKB_MOD_NAME_LOGO "Mod4"
#define | XKB_MOD_NAME_NUM "Mod2"

## Detailed Description

Usual virtual modifiers mappings to real modifiers.

Deprecated
  Use Virtual modifiers names instead

## Macro Definition Documentation

## ◆ XKB_MOD_NAME_ALT

#define XKB_MOD_NAME_ALT "Mod1"

Usual real modifier for the virtual modifier Alt.

Deprecated
  Use XKB_VMOD_NAME_ALT instead.

Since
  1.10: deprecated

## ◆ XKB_MOD_NAME_LOGO

#define XKB_MOD_NAME_LOGO "Mod4"

Usual real modifier for the virtual modifier Super.

Deprecated
  Use XKB_VMOD_NAME_SUPER instead.

Since
  1.10: deprecated

## ◆ XKB_MOD_NAME_NUM

#define XKB_MOD_NAME_NUM "Mod2"

Usual real modifier for the virtual modifier NumLock.

Deprecated
  Use XKB_VMOD_NAME_NUM instead.

Since
  1.10: deprecated